Gatana logoGatana Docs
RoutesSandboxesSandboxidAudit logs

/sandboxes/{sandboxId}/audit-logs

List the audit log entries of the sandbox, paginated and optionally filtered by date range

GET
/sandboxes/{sandboxId}/audit-logs
AuthorizationBearer <token>

In: header

Path Parameters

sandboxId*string

Query Parameters

page?string
limit?string
eventName?string
startDate?string
Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Formatdate-time
endDate?string
Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Formatdate-time

Response Body

application/json

curl -X GET "https://YOUR_ORG_ID.gatana.ai/api/v1/sandboxes/string/audit-logs"
{
  "pagination": {
    "page": 0,
    "limit": 0,
    "total": 0,
    "totalPages": 0,
    "hasNext": true,
    "hasPrev": true
  },
  "data": [
    {
      "id": 0,
      "tenantId": "string",
      "sandboxId": "string",
      "eventName": "string",
      "details": {
        "property1": null,
        "property2": null
      },
      "createdAt": "string"
    }
  ]
}